petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPSetApplicationContext

Sets the optional user-defined context for the linear solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetApplicationContext(KSP ksp,void *usrP)

Logically Collective on KSP

### Input Parameters

| ksp | - the KSP context
| usrP | - optional user context

### Keywords

KSP, set, application, context

### See Also

KSPGetApplicationContext()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages